Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.yativo.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns all transactions (deposits, payouts, virtual account receipts, card transactions) for your business account with support for filtering and pagination.
GET /business/transactions/index

Query Parameters

status
string
Filter by status: success, complete, detected, pending, In Progress, failed.
start_date
string
From date (inclusive), e.g. 2026-04-01.
end_date
string
To date (inclusive), e.g. 2026-04-30.
amount
number
Filter by exact transaction amount.
customer_id
string
Filter by customer ID.
transaction_type
string
Filter by type: deposit, payout, virtual_account, transfer, card_transaction, crypto_deposit.
page
number
Page number. Default: 1.
per_page
number
Results per page. Default: 10.
curl -X GET 'https://api.yativo.com/api/v1/business/transactions/index?status=success&transaction_type=deposit&start_date=2026-04-01&end_date=2026-04-30&page=1&per_page=10' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "status": "success",
  "status_code": 200,
  "message": "Records retrieved successfully",
  "data": [
    {
      "id": 14,
      "transaction_id": "a0e9e50e-81be-4bd0-9941-0151e68b9e97",
      "transaction_amount": "1000.00",
      "transaction_status": "success",
      "transaction_type": "deposit",
      "transaction_memo": "payin",
      "transaction_purpose": "Deposit",
      "transaction_currency": "BRL",
      "customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
      "created_at": "2026-04-01T10:00:00.000000Z"
    }
  ],
  "meta": {
    "total": 42,
    "per_page": 10,
    "current_page": 1,
    "last_page": 5,
    "next_page_url": "https://api.yativo.com/api/v1/business/transactions/index?page=2",
    "prev_page_url": null
  }
}